# 2026-10-27


## API Changelog v2-20261027-a04a32a127 vs. v2-20261027-ed37a2d37b

### `GET /{administration_id}/contacts/customer_id/{customer_id}{format}`
- :warning: the `allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`
-  removed the pattern `^\d+$` from the `path` request parameter `customer_id`
-  for the `path` request parameter `customer_id`, the `type` was widened from `string, integer` to `string`


### `GET /{administration_id}/contacts/doubles{format}`
- :warning: the endpoint scheme security `bearerAuth: [contacts]` was removed from the API
-  the endpoint scheme security `bearerAuth: [bank]` was added to the API
-  the endpoint scheme security `bearerAuth: [documents]` was added to the API
-  the endpoint scheme security `bearerAuth: [estimates]` was added to the API
-  the endpoint scheme security `bearerAuth: [sales_invoices]` was added to the API
-  the endpoint scheme security `bearerAuth: [settings]` was added to the API


### `GET /{administration_id}/contacts/filter{format}`
- :warning: the `items/allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`


### `POST /{administration_id}/contacts/synchronization{format}`
- :warning: the `items/allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`


### `POST /{administration_id}/contacts/{id}/additional_charges{format}`
- :warning: added the new required request property `amount`
- :warning: added the new required request property `description`
- :warning: added the new required request property `period`
- :warning: added the new required request property `product_id`
-  added the new optional request property `identifier`
-  added the new optional request property `price`


### `GET /{administration_id}/contacts/{id}{format}`
- :warning: the `allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`


### `PATCH /{administration_id}/contacts/{id}{format}`
- :warning: the `allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`


### `GET /{administration_id}/contacts{format}`
- :warning: the `items/allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `200`


### `POST /{administration_id}/contacts{format}`
- :warning: the `allOf[#/components/schemas/base_contact_response]/max_transfer_amount` response's property `type` changed from `number, null` to `string, null` for status `201`


### `GET /{administration_id}/purchase_transactions/{id}{format}`
- :warning: the response property `contact` became nullable for the status `200`


### `GET /{administration_id}/purchase_transactions{format}`
- :warning: the response property `items/contact` became nullable for the status `200`


### `POST /{administration_id}/subscriptions/{id}/additional_charges{format}`
- :warning: added the new required request property `amount`
- :warning: added the new required request property `description`
- :warning: added the new required request property `period`
- :warning: added the new required request property `product_id`
-  added the new optional request property `identifier`
-  added the new optional request property `price`


### `POST /{administration_id}/subscriptions{format}`
- :warning: the request property `subscription` became required
- :warning: the request property `subscription/contact_id` became required
